## org.biojavax.bio.seq.io
Class RichStreamWriter

    java.lang.Object
      org.biojavax.bio.seq.io.RichStreamWriter

    public class RichStreamWriter

extends java.lang.Object

Writes all of the sequences from a SequenceIterator to a stream with a particular format. This can be wired from a StreamReader to make a simple file-format conversion utility, or can be used to write out the sequences in a database to disk.

Since:
  1.5
Author:
  Matthew Pocock, Richard Holland

Constructor Summary
`RichStreamWriter(java.io.OutputStream os, RichSequenceFormat format)` Generate a new RichStreamWriter to the stream os and using format.

Method Summary
`void` `writeStream(SequenceIterator ss, Namespace ns)` Write each of the sequences in ss to the stream in the given format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RichStreamWriter

    public RichStreamWriter(java.io.OutputStream os,
                            RichSequenceFormat format)

  Generate a new RichStreamWriter to the stream os and using format.

  Parameters:
    `os` - the OutputStream to write to
    `format` - the SequenceFormat to write with

Method Detail

### writeStream

    public void writeStream(SequenceIterator ss,
                            Namespace ns)
                     throws java.io.IOException

  Write each of the sequences in ss to the stream in the given format.

  Parameters:
    `ss` - the SequenceIterator to loop over
  Throws:
    `java.io.IOException` - if the stream has any problems